Bug 1279660 - Review Request: golang-launchpad-go-xdg-v0 - Go library to use the XDG spec
Review Request: golang-launchpad-go-xdg-v0 - Go library to use the XDG spec
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 19:43 EST by Adam Goode
Modified: 2015-12-07 22:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 22:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2015-11-09 19:43:35 EST
Spec URL: https://agoode.fedorapeople.org/golang-launchpad-go-xdg-v0.spec
SRPM URL: https://agoode.fedorapeople.org/golang-launchpad-go-xdg-v0-0-0.1.20151107bzr.fc23.src.rpm
Description: Go library to use the XDG spec
Fedora Account System Username: agoode
Comment 1 Adam Goode 2015-11-10 08:25:02 EST
This is the only outstanding dependency for the Google Cloud Print CUPS Connector: https://github.com/google/cups-connector which I am also working on.

https://github.com/google/cups-connector/issues/127
Comment 2 Christopher Meng 2015-11-11 02:31:45 EST
Dist tag typo?

* Sat Nov  7 2015 Adam Goode <X@Y>  0-0.1.20151107bzr%{?dist}
Comment 3 gil cattaneo 2015-11-25 16:49:08 EST
Please, can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1240126 ?
Comment 4 gil cattaneo 2015-11-25 16:58:17 EST
please, fix the changelog entry
should be:
* Sat Nov  7 2015 Adam Goode <X@Y>  0-0.1.20151107bzr
why is named golang-launchpad-go-xdg-v0 ?
maybe golang-launchpad-go-xdg is better ... ?
Comment 5 gil cattaneo 2015-11-25 17:14:48 EST
Requires:       golang(launchpad.net/gocheck)
is for the unit-test or devel sub package?
Comment 6 gil cattaneo 2015-11-25 17:27:42 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/gil/1279660-golang-
     launchpad-go-xdg-v0/licensecheck.txt
  Please, report to upstream and ask to add license headers in those files where is missing
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Unknown or generated
--------------------
golang-launchpad-go-xdg-v0-20151107/base_directory.go
golang-launchpad-go-xdg-v0-20151107/base_directory_test.go
golang-launchpad-go-xdg-v0-20151107/doc.go

[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gocode/src/launchpad.net/go-xdg
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/gocode/src/launchpad.net/go-xdg,
     /usr/share/gocode/src/launchpad.net, /usr/share/gocode,
     /usr/share/gocode/src
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
 See above
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[?]: Package is named according to the Package Naming Guidelines.
  See above
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
   See above
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     launchpad-go-xdg-v0-devel , golang-launchpad-go-xdg-v0-unit-test
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-launchpad-go-xdg-v0-devel-0-0.1.20151107bzr.fc24.noarch.rpm
          golang-launchpad-go-xdg-v0-unit-test-0-0.1.20151107bzr.fc24.i686.rpm
          golang-launchpad-go-xdg-v0-0-0.1.20151107bzr.fc24.src.rpm
golang-launchpad-go-xdg-v0-unit-test.i686: E: devel-dependency golang-launchpad-go-xdg-v0-devel
golang-launchpad-go-xdg-v0-unit-test.i686: W: spelling-error %description -l en_US gocheck -> go check, go-check, check
golang-launchpad-go-xdg-v0-unit-test.i686: W: tag-in-description C Requires:
 Please, see above
golang-launchpad-go-xdg-v0.src: W: invalid-url Source0: golang-launchpad-go-xdg-v0-20151107.tar.gz
3 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
golang-launchpad-go-xdg-v0-unit-test.i686: E: devel-dependency golang-launchpad-go-xdg-v0-devel
golang-launchpad-go-xdg-v0-unit-test.i686: W: tag-in-description C Requires:
2 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
golang-launchpad-go-xdg-v0-unit-test (rpmlib, GLIBC filtered):
    golang-launchpad-go-xdg-v0-devel

golang-launchpad-go-xdg-v0-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-launchpad-go-xdg-v0-unit-test:
    golang-launchpad-go-xdg-v0-unit-test
    golang-launchpad-go-xdg-v0-unit-test(x86-32)

golang-launchpad-go-xdg-v0-devel:
    golang(launchpad.net/go-xdg/v0)
    golang-launchpad-go-xdg-v0-devel



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1279660 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 gil cattaneo 2015-11-25 17:34:18 EST
Issues;

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gocode/src/launchpad.net/go-xdg
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/gocode/src/launchpad.net/go-xdg,
.
[!]: Changelog in prescribed format.
 See above

[!]: Package is not known to require an ExcludeArch tag.


[!]: Requires correct, justified where necessary.
   See above
golang-launchpad-go-xdg-v0-unit-test.i686: W: tag-in-description C Requires:
 Please, see above

NON blocking issues:

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/gil/1279660-golang-
     launchpad-go-xdg-v0/licensecheck.txt
  Please, report to upstream and ask to add license headers in those files where is missing
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Unknown or generated
--------------------
golang-launchpad-go-xdg-v0-20151107/base_directory.go
golang-launchpad-go-xdg-v0-20151107/base_directory_test.go
golang-launchpad-go-xdg-v0-20151107/doc.go
Comment 8 gil cattaneo 2015-11-25 17:38:35 EST
For me it is the first time I review a package golang.
My apologize if I made some mistakes.
Comment 9 gil cattaneo 2015-11-29 20:07:26 EST
what happen?
Comment 10 Adam Goode 2015-11-29 20:15:57 EST
Just setting a reminder to myself.
Comment 11 Upstream Release Monitoring 2015-12-06 16:11:56 EST
agoode's scratch build of golang-launchpad-go-xdg-v0-0-0.1.20151107bzr.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12092231
Comment 12 Adam Goode 2015-12-06 16:27:27 EST
- I fixed the changelog.
- The name is such because this is explicitly the "v0" branch (launchpad does it this way).
- Thanks for catching the bug with Requires for golang(launchpad.net/gocheck). It should be for the unit-test package.

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gocode/src/launchpad.net/go-xdg

fixed

[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/gocode/src/launchpad.net/go-xdg,
     /usr/share/gocode/src/launchpad.net, /usr/share/gocode,
     /usr/share/gocode/src

fixed. /usr/share/gocode/src is owned by golang

[!]: Changelog in prescribed format.

fixed

[?]: Package is named according to the Package Naming Guidelines.

I think this is good.

[!]: Requires correct, justified where necessary.

Fixed

[!]: Package is not known to require an ExcludeArch tag.

this is needed for golang

[?]: Latest version is packaged.

yes


Rpmlint
-------
Checking: golang-launchpad-go-xdg-v0-devel-0-0.1.20151107bzr.fc24.noarch.rpm
          golang-launchpad-go-xdg-v0-unit-test-0-0.1.20151107bzr.fc24.i686.rpm
          golang-launchpad-go-xdg-v0-0-0.1.20151107bzr.fc24.src.rpm
golang-launchpad-go-xdg-v0-unit-test.i686: E: devel-dependency golang-launchpad-go-xdg-v0-devel

this is ok for now, but *-unit-test packages will probably become *-unit-test-devel packages someday.

golang-launchpad-go-xdg-v0-unit-test.i686: W: spelling-error %description -l en_US gocheck -> go check, go-check, check

ok

golang-launchpad-go-xdg-v0-unit-test.i686: W: tag-in-description C Requires:

fixed

golang-launchpad-go-xdg-v0.src: W: invalid-url Source0: golang-launchpad-go-xdg-v0-20151107.tar.gz

this is ok since from bzr.





New spec file and SRPM are up in the same place.
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12092231
Comment 13 Adam Goode 2015-12-06 16:29:16 EST
The devel packages don't require anything that owns /usr/share/gocode/src but I think this is ok for now since no other package does this yet either. Probably there needs to be a golang-filesystem package eventually.
Comment 14 gil cattaneo 2015-12-07 01:58:58 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/gil/1279660-golang-
     launchpad-go-xdg-v0/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/launchpad.net(golang-gopkg-check-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     launchpad-go-xdg-v0-devel , golang-launchpad-go-xdg-v0-unit-test
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: golang-launchpad-go-xdg-v0-devel-0-0.1.20151107bzr.fc24.noarch.rpm
          golang-launchpad-go-xdg-v0-unit-test-0-0.1.20151107bzr.fc24.i686.rpm
          golang-launchpad-go-xdg-v0-0-0.1.20151107bzr.fc24.src.rpm
golang-launchpad-go-xdg-v0-unit-test.i686: E: devel-dependency golang-launchpad-go-xdg-v0-devel
golang-launchpad-go-xdg-v0.src: W: invalid-url Source0: golang-launchpad-go-xdg-v0-20151107.tar.gz
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
golang-launchpad-go-xdg-v0-unit-test.i686: E: devel-dependency golang-launchpad-go-xdg-v0-devel
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/gil/1279660-golang-launchpad-go-xdg-v0/srpm/golang-launchpad-go-xdg-v0.spec	2015-12-07 07:41:03.940265206 +0100
+++ /home/gil/1279660-golang-launchpad-go-xdg-v0/srpm-unpacked/golang-launchpad-go-xdg-v0.spec	2015-12-06 21:56:32.000000000 +0100
@@ -145,4 +145,4 @@
 
 %changelog
-* Sun Dec  6 2015 Adam Goode <adam@spicenitz.org> - 0-0.1.20151107bzr
+* Sat Nov  7 2015 Adam Goode <adam@spicenitz.org> - 0-0.1.20151107bzr
 - Initial Fedora release.


Requires
--------
golang-launchpad-go-xdg-v0-unit-test (rpmlib, GLIBC filtered):
    golang(launchpad.net/gocheck)
    golang-launchpad-go-xdg-v0-devel

golang-launchpad-go-xdg-v0-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-launchpad-go-xdg-v0-unit-test:
    golang-launchpad-go-xdg-v0-unit-test
    golang-launchpad-go-xdg-v0-unit-test(x86-32)

golang-launchpad-go-xdg-v0-devel:
    golang(launchpad.net/go-xdg/v0)
    golang-launchpad-go-xdg-v0-devel



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1279660 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 15 gil cattaneo 2015-12-07 02:01:30 EST
NON blocking issues:

[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/launchpad.net(golang-gopkg-check-devel)

Diff spec file in url and in SRPM
---------------------------------
--- /home/gil/1279660-golang-launchpad-go-xdg-v0/srpm/golang-launchpad-go-xdg-v0.spec	2015-12-07 07:41:03.940265206 +0100
+++ /home/gil/1279660-golang-launchpad-go-xdg-v0/srpm-unpacked/golang-launchpad-go-xdg-v0.spec	2015-12-06 21:56:32.000000000 +0100
@@ -145,4 +145,4 @@
 
 %changelog
-* Sun Dec  6 2015 Adam Goode <adam@spicenitz.org> - 0-0.1.20151107bzr
+* Sat Nov  7 2015 Adam Goode <adam@spicenitz.org> - 0-0.1.20151107bzr
 - Initial Fedora release.

Please, fix before import
Approved
Comment 16 Gwyn Ciesla 2015-12-07 20:06:59 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/golang-launchpad-go-xdg-v0

Note You need to log in before you can comment on or make changes to this bug.